---
title: WritableStreamDefaultWriter.releaseLock()
slug: Web/API/WritableStreamDefaultWriter/releaseLock
tags:
  - API
  - Experimental
  - Method
  - Reference
  - Streams
  - WritiableStream
  - releaseLock
---
<p>{{APIRef("Streams")}}{{SeeCompatTable}}{{draft}}</p>

<p>The <strong><code>releaseLock()</code></strong> method of the {{domxref("WritableStreamDefaultWriter")}} interface releases the writer's lock on the corresponding stream. After the lock is released, the writer is no longer active. If the associated stream is errored when the lock is released, the writer will appear errored in the same way from now on; otherwise, the writer will appear closed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>writableStreamDefaultWritere</em>.releaseLock()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js line-numbers  language-js"><code class="language-js"><span class="keyword token">const</span> writableStream <span class="operator token">=</span> <span class="keyword token">new</span> <span class="class-name token">WritableStream</span><span class="punctuation token">(</span><span class="punctuation token">{</span>
  <span class="function token">write</span><span class="punctuation token">(</span>chunk<span class="punctuation token">)</span> <span class="punctuation token">{</span>
    <span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.</span>
  <span class="punctuation token">}</span><span class="punctuation token">,</span>
  <span class="function token">close</span><span class="punctuation token">(</span><span class="punctuation token">)</span> <span class="punctuation token">{</span>
    <span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.</span>
  <span class="punctuation token">}</span><span class="punctuation token">,</span>
  <span class="function token">abort</span><span class="punctuation token">(</span>err<span class="punctuation token">)</span> <span class="punctuation token">{</span>
    <span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.</span>
  <span class="punctuation token">}</span>
<span class="punctuation token">}</span><span class="punctuation token">,</span> queuingStrategy<span class="punctuation token">)</span><span class="punctuation token">;</span>

<span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.

const writer = writableStream.getWriter();

...</span>

<span class="comment token">// release writer's lock on the stream when desired</span>
writer<span class="punctuation token">.</span><span class="punctuation token">releaseLock();</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Streams','#default-reader-release-lock','releaseLock()')}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WritableStreamDefaultWriter.releaseLock")}}</p>
